#!/usr/bin/perl

use strict;
use Image::Magick;
 
my $FONT       = 'C:\Windows\Fonts\msgothic.ttc';
my $POINT      = 50;
my $STROKE     = 'black';
my $FILL       = 'black';

open(IN,"./05.txt");
  my @data = <IN>;
close(IN);

my $i = 1;

foreach(@data){
  my $fileName = sprintf("%01d",$i);
  $fileName = "./5/".$fileName.".png";
  my $READ_FILE  = '00.png';
  my $WRITE_FILE = $fileName;
  my $str='';
  my $str1='';
  my $str2='';

  if($_ =~ /^[0-9]+/){
    my @subdata = split(/: /,$_);
    #print $subdata[0]."\n";
    #print $subdata[1]."\n";
    $str1 = $subdata[0];
    $str2 = $subdata[1];
  
    # ファイルの更新時刻（乗せる文字列取得）
    my $time = (stat($READ_FILE))[9];
    my($sec, $min, $hour, $day, $mon, $year) = localtime($time);
    my $strtime = sprintf("%4d/%2d/%2d %2d:%2d:%2d",
       $year+1900, $mon+1, $day, $hour, $min, $sec);
    
    # 載せる部分
    my($image, $status, $width, $height);
    $image = Image::Magick->new;
    
    $status = $image->Read($READ_FILE);
    warn($status) if($status);
    
    $width  = $image->Get('width');
    $height = $image->Get('height');

    $status = $image->Annotate(
                    font      => $FONT,
                    pointsize => $POINT,
                    text      => $str1, 
                    stroke    => $STROKE,
                    fill      => $FILL,
                    x         => $width - $POINT * 18,
                    y         => $height - $POINT * 10);

    $status = $image->Annotate(
                    font      => $FONT,
                    pointsize => $POINT,
                    text      => $str2, 
                    stroke    => $STROKE,
                    fill      => $FILL,
                    x         => $width - $POINT * 18,
                    y         => $height - $POINT * 6);
    
    warn($status) if($status);
    
    $status = $image->Write($WRITE_FILE);
    warn($status) if($status);
    
    undef $image;
    }else{
    my @subdata = split(/: /,$_);
    #print $subdata[0]."\n";
    #print $subdata[1]."\n";
    $str1 = $subdata[0];
    $str2 = $subdata[1];

    # ファイルの更新時刻（乗せる文字列取得）
    my $time = (stat($READ_FILE))[9];
    my($sec, $min, $hour, $day, $mon, $year) = localtime($time);
    my $strtime = sprintf("%4d/%2d/%2d %2d:%2d:%2d",
       $year+1900, $mon+1, $day, $hour, $min, $sec);
    
    # 載せる部分
    my($image, $status, $width, $height);
    $image = Image::Magick->new;
    
    $status = $image->Read($READ_FILE);
    warn($status) if($status);
    
    $width  = $image->Get('width');
    $height = $image->Get('height');
  
    $status = $image->Annotate(
                    font      => $FONT,
                    pointsize => $POINT,
                    text      => $str1, 
                    stroke    => $STROKE,
                    fill      => $FILL,
                    x         => $width - $POINT * 18,
                    y         => $height - $POINT * 10);

    $status = $image->Annotate(
                    font      => $FONT,
                    pointsize => $POINT,
                    text      => $str2, 
                    stroke    => $STROKE,
                    fill      => $FILL,
                    x         => $width - $POINT * 18,
                    y         => $height - $POINT * 6);
  
    warn($status) if($status);
    
    $status = $image->Write($WRITE_FILE);
    warn($status) if($status);

    undef $image;
    
=pod
    $status2 = $image->Read($READ_FILE);
    warn($status2) if($status2);
    
    $width  = $image->Get('width');
    $height = $image->Get('height');
  
    $status2 = $image->Annotate(
                    font      => $FONT,
                    pointsize => $POINT,
                    text      => $str2, #$strtime,
                    stroke    => $STROKE,
                    fill      => $FILL,
                    x         => $width - $POINT * 15,
                    y         => $height - $POINT * 10);
  
    warn($status2) if($status2);
    
    $status2 = $image->Write($WRITE_FILE);
    warn($status2) if($status2);
=cut
  
    }

  $i++;
  }
